## aewm 1.2.0

=== Makefile ===
# aewm - a minimalist X11 window mananager. vim:noet:ft=make
# Copyright 1998-2001 Decklin Foster <decklin@red-bean.com>
# This program is free software; see LICENSE for details.

# This should be set to the location of the X installation you want to
# compile against.
XROOT = /usr/X11R6

# Comment out to remove shape support (for X11R5 or just a tiny bin)
DEFINES += -DSHAPE
EXTRA_LIBS += -lXext

# Comment out to remove support for Gnome's GNOME_PANEL_DESKTOP_AREA
# hint, which allows aewm to avoid mapping windows over an aepanel.
DEFINES += -DGNOME_PDA

# Uncomment to add MWM hints supports (needs Lesstif headers)
#DEFINES += -DMWM_HINTS

# Uncomment to add freetype support (requires XFree86 4.0.2 or later)
# This needs -lXext above, even if you have disabled shape support.
#DEFINES += -DXFT
#EXTRA_LIBS += -lXft -lXrender -lfreetype

# Uncomment for debugging info (abandon all hope, ye who enter here)
#DEFINES += -DDEBUG

# --------------------------------------------------------------------

CC       = gcc
CFLAGS   = -g -O2 -Wall

BINDIR   = $(DESTDIR)$(XROOT)/bin
MANDIR   = $(DESTDIR)$(XROOT)/man/man1
CFGDIR   = $(DESTDIR)/etc/X11/aewm
INCLUDES = -Ilib -I$(XROOT)/include
LDPATH   = -L$(XROOT)/lib
LIBS     = -lX11 $(EXTRA_LIBS)

PROG     = aewm
MANPAGE  = aewm.1x
OBJS     = init.o events.o client.o new.o manage.o misc.o lib/parser.o
HEADERS  = aewm.h

all: $(PROG) subdirs

subdirs:
	+make -C clients all

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	install -s $(PROG) $(BINDIR)
	install -m 644 $(MANPAGE) $(MANDIR)
	gzip -9vf $(MANDIR)/$(MANPAGE)
	mkdir -p $(CFGDIR) && cp aewmrc.sample $(CFGDIR)/aewmrc
	+make -C clients install

clean: subdirs-clean
	rm -f $(PROG) $(OBJS)

subdirs-clean:
	+make -C clients clean

.PHONY: all subdirs install clean subdirs-clean
