=== clients/Makefile ===
--- 
+++ 
@@ -1,21 +1,31 @@
-# aewm - a minimalist X11 window mananager. vim:noet:sw=4:ts=4
-# Copyright 1998-2001 Decklin Foster <decklin@red-bean.com>
+# aewm - a minimalist X11 window mananager. vim:ft=make:noet
+# Copyright 1998-2003 Decklin Foster <decklin@red-bean.com>
 # This program is free software; see LICENSE for details.
+
+# Uncomment to enable building with GTK+ 1.2 instead of 2.x.
+#USE_OLD_GTK = 1
 
 CC       = gcc
 CFLAGS   = -g -O2 -Wall
 
+AELIBDIR = ../lib
+MYLIBDIR = lib
 XROOT    = /usr/X11R6
 BINDIR   = $(DESTDIR)$(XROOT)/bin
 MANDIR   = $(DESTDIR)$(XROOT)/man/man1
 CFGDIR   = $(DESTDIR)/etc/X11/aewm
 
-INCLUDES = -I../lib -Ilib
+INCLUDES = -I$(AELIBDIR) -I$(MYLIBDIR)
 X11PATH  = -I$(XROOT)/include
 X11LIBS  = -L$(XROOT)/lib -lX11
 XAWLIBS  = -L$(XROOT)/lib -lX11 -lXt -lXaw
-GTKPATH  = `gtk-config --cflags`
+ifdef USE_OLD_GTK
+GTKPATH  = `gtk-config --cflags` -DUSE_OLD_GTK=$(USE_OLD_GTK)
 GTKLIBS  = `gtk-config --libs`
+else
+GTKPATH  = `pkg-config --cflags gtk+-2.0`
+GTKLIBS  = `pkg-config --libs gtk+-2.0`
+endif
 
 MANPAGE  = aeclients.1x
 
@@ -29,13 +39,13 @@
 
 all: $(ALLPROGS)
 
-COMMONOBJS = ../lib/parser.o lib/launch.o lib/switch.o
+COMMONOBJS = $(AELIBDIR)/parser.o $(MYLIBDIR)/launch.o $(MYLIBDIR)/switch.o
 
 aemenu-gtk: $(COMMONOBJS)
-aemenu-xaw: $(COMMONOBJS) lib/xaw-util.o
-aepanel-gtk: $(COMMONOBJS) lib/panel.o
-aepanel-xaw: $(COMMONOBJS) lib/panel.o lib/xaw-util.o
-set-gnome-pda: lib/panel.o
+aemenu-xaw: $(COMMONOBJS) $(MYLIBDIR)/xaw-util.o
+aepanel-gtk: $(COMMONOBJS) $(MYLIBDIR)/panel.o $(AELIBDIR)/gnome-pda.o
+aepanel-xaw: $(COMMONOBJS) $(MYLIBDIR)/panel.o $(AELIBDIR)/gnome-pda.o $(MYLIBDIR)/xaw-util.o
+set-gnome-pda: $(MYLIBDIR)/panel.o $(AELIBDIR)/gnome-pda.o
 
 $(GTKPROGS): %: %.o
 	$(CC) $^ $(GTKLIBS) -o $@
@@ -52,9 +62,9 @@
 # --------------------------------------------------------------------
 
 GTKOBJS = aemenu-gtk.o aepanel-gtk.o
-XAWOBJS = aemenu-xaw.o aepanel-xaw.o lib/xaw-util.o
-X11OBJS = lib/panel.o lib/switch.o set-gnome-pda.o
-ETCOBJS = lib/launch.o aesession.o
+XAWOBJS = aemenu-xaw.o aepanel-xaw.o $(MYLIBDIR)/xaw-util.o
+X11OBJS = $(MYLIBDIR)/panel.o $(MYLIBDIR)/switch.o set-gnome-pda.o
+ETCOBJS = $(MYLIBDIR)/launch.o aesession.o
 ALLOBJS = $(GTKOBJS) $(XAWOBJS) $(X11OBJS) $(ETCOBJS)
 
 $(X11OBJS): %.o: %.c
