=== clients/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # aewm - a minimalist X11 window mananager. vim:ft=make:noet
-# Copyright 1998-2003 Decklin Foster <decklin@red-bean.com>
+# Copyright 1998-2004 Decklin Foster <decklin@red-bean.com>
 # This program is free software; see LICENSE for details.
 
 # Uncomment to enable building with GTK+ 1.2 instead of 2.x.
