=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # aewm - a minimalist X11 window mananager. vim:ft=make:noet
-# Copyright 1998-2003 Decklin Foster <decklin@red-bean.com>
+# Copyright 1998-2004 Decklin Foster <decklin@red-bean.com>
 # This program is free software; see LICENSE for details.
 
 # This should be set to the location of the X installation against
@@ -27,7 +27,6 @@
 
 # Uncomment for debugging info (abandon all hope, ye who enter here).
 #DEFINES += -DDEBUG
-
 
 # --------------------------------------------------------------------
