## aewm 1.3.11

=== Makefile ===
# aewm - Copyright 1998-2007 Decklin Foster <decklin@red-bean.com>.
# This program is free software; see LICENSE for details.

all install clean:
	$(MAKE) -C src $@

.PHONY: all install clean
