=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# aewm - Copyright 1998-2006 Decklin Foster <decklin@red-bean.com>.
+# aewm - Copyright 1998-2007 Decklin Foster <decklin@red-bean.com>.
 # This program is free software; see LICENSE for details.
 
 # Set this to the location where you want to install
