=== debian/changelog ===
aewm (1.3.12-5) unstable; urgency=medium

  * QA upload.
  * Update Standards-Version to 4.5.0
  * Fix FTCBFS. (Closes: #933233)
  * Add Vcs link for salsa.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 17 Feb 2020 23:04:48 +0000

aewm (1.3.12-4) unstable; urgency=medium

  * QA Upload.
  * debian/compat: removed.
  * debian/control:
      - Homepage updated.
      - Migrated DH level to 12.
      - Standards-Version updated to 4.4.0.
  * debian/copyright:
      - Full updated.
      - Https added in Source and Format.
      - Old fields removed.
      - Source updated.
  * debian/patches/40_man-spelling-fix.patch: spelling fixed.
  * debian/tests/control: test added (CI).
  * debian/upstream/metadata: metadata added.
  * debian/watch:
      - Https added.
      - Updated to version 4.

 -- Daniel Pimentel <d4n1@d4n1.org>  Tue, 23 Jul 2019 11:29:53 -0300

aewm (1.3.12-3) unstable; urgency=low

  * QA upload.
    - Move to packaging format "3.0 (quilt)".
    - Use hardened build flags
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/aewm.{postrm,postinst,prerm}
    - Lintian fix maintainer-script-without-set-e.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Breaks): rename from Conflicts. Lintian fix conflicts-with-version.
    - (Build-Depends): update to debhelper 9.
    - (Homepage): New field.
    - (Maintainer): Set to QA group.
    - (Standards-Version): Update to 3.9.4.
  * debian/copyright
    - Update to format 1.0.
  * debian/patches
    - (05): New. Contains changes to original sources.
    - (10): New. Do not strip binaries (Closes: #436379).
    - (20): New. Use hardened build flags.
    - (30): New. Fix hyphens in manual page.
  * debian/rules
    - Update to dh(1).
  * debian/source/format
    - New file.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 02 Mar 2013 13:39:50 +0200

aewm (1.3.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Makefile: Added "-lX11".  Closes: #553631.
  * Fixed debhelper-but-no-misc-depends.
  * Fixed description-synopsis-starts-with-article.
  * Fixed menu-item-uses-windowmanagers-section.

 -- Bart Martens <bartm@debian.org>  Sun, 16 Oct 2011 01:38:16 +0200

aewm (1.3.12-2) unstable; urgency=low

  * Remove aemenu and aepanel alternatives. aewm 2.0 will use only GTK; Xaw
    will return in 1.4.

 -- Decklin Foster <decklin@red-bean.com>  Thu, 27 Dec 2007 20:50:02 -0500

aewm (1.3.12-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Thu, 27 Dec 2007 13:16:24 -0500

aewm (1.3.11-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Sat, 27 Oct 2007 23:35:02 -0400

aewm (1.3.10-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright.

 -- Decklin Foster <decklin@red-bean.com>  Mon, 11 Sep 2006 20:53:07 -0400

aewm (1.3.9-1) unstable; urgency=low

  * New upstream release
  * Remove kill menu item.
  * Update Standards-Version to 3.7.2.

 -- Decklin Foster <decklin@red-bean.com>  Thu, 13 Jul 2006 15:42:47 -0400

aewm (1.3.8-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Fri, 21 Apr 2006 18:15:04 -0400

aewm (1.3.7-1) unstable; urgency=low

  * New upstream release
  * Removed lesstif build-dep.
  * Upload to unstable.

 -- Decklin Foster <decklin@red-bean.com>  Mon, 17 Apr 2006 23:05:12 -0400

aewm (1.3.6-1) experimental; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Sun, 16 Apr 2006 16:03:28 -0400

aewm (1.3.5-1) experimental; urgency=low

  * New upstream release
  * Update build-deps for modular and Xft.

 -- Decklin Foster <decklin@red-bean.com>  Sat, 15 Apr 2006 02:36:27 -0400

aewm (1.3.4-1) experimental; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Tue, 14 Feb 2006 12:02:21 -0500

aewm (1.3.2-2) experimental; urgency=low

  * Build against libxaw7 instead of libxaw8.

 -- Decklin Foster <decklin@red-bean.com>  Tue, 10 Jan 2006 14:29:23 -0500

aewm (1.3.2-1) experimental; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Thu, 10 Nov 2005 11:13:07 -0500

aewm (1.2.6-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Wed,  9 Nov 2005 12:46:16 -0500

aewm (1.2.5-5) unstable; urgency=low

  * /usr/sbin/install-menu -> /usr/bin/install-menu for menu transition.

 -- Decklin Foster <decklin@red-bean.com>  Thu,  6 Oct 2005 16:52:32 -0400

aewm (1.2.5-4) unstable; urgency=low

  * Add all the applicable modular X.org -dev packages to build-depends.

 -- Decklin Foster <decklin@red-bean.com>  Mon, 15 Aug 2005 11:33:27 -0400

aewm (1.2.5-3) unstable; urgency=low

  * Remove all alternatives that we install on purge, not just
    x-window-manager. (Closes: #319715)
  * Build with libxaw8 instead of libxaw7.
  * Bump Standards-Version to 3.6.2.

 -- Decklin Foster <decklin@red-bean.com>  Sat,  6 Aug 2005 12:52:31 -0400

aewm (1.2.5-2) unstable; urgency=low

  * Only call update-alternatives in prerm if we are removing.

 -- Decklin Foster <decklin@red-bean.com>  Mon, 22 Nov 2004 10:29:15 -0500

aewm (1.2.5-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Mon, 15 Nov 2004 10:39:16 -0500

aewm (1.2.4-1) unstable; urgency=low

  * New upstream release
    - My own fix for the menu issues (Closes: #193966, #187082)
    - Rewrote the parser
  * Included Bill Allombert's new menu-method. Thanks for the NMU, Bill!
    (Closes: #251609)
  * Bumped Standards-Version to 3.6.1.

 -- Decklin Foster <decklin@red-bean.com>  Sat,  2 Oct 2004 08:37:07 -0400

aewm (1.2.3-2.1) unstable; urgency=low

  * NMU
  * Apply patch by Erik de Castro Lopo and Ken Caldwell
    to fix aewm menus. (Closes: #193966, #187082).
    In particular this patch allows iconified windows to be deiconified.

