=== debian/control ===
Source: aewm
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12), libx11-dev, libxext-dev, libxft-dev, libgtk2.0-dev
Homepage: https://www.red-bean.com/decklin/aewm/
Vcs-Git: https://salsa.debian.org/debian/aewm.git
Vcs-Browser: https://salsa.debian.org/debian/aewm

Package: aewm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: menu (>= 2.1.9)
Breaks: menu (<< 2.1.9)
Provides: x-window-manager
Description: minimalist window manager for X11
 aewm is a minimalist window manager for X11. It has no nifty
 features, but is light on resources and extremely simple in
 appearance. It should eventually make a good reference implementation
 of the ICCCM. A few separate programs are included to handle running
 programs, switching between windows, etc.
