=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/aewm install
	cp $(CURDIR)/debian/aewm.clientsrc $(CURDIR)/debian/aewm/etc/X11/aewm/clientsrc

override_dh_installchangelogs:
	dh_installchangelogs NEWS

%:
	dh $@
