=== debian/tests/control ===
Test-Command: xvfb-run -a aewm &
Depends: @, xauth, xvfb, xfonts-base, xfonts-100dpi
