=== debian/watch ===
version=4
https://www.red-bean.com/decklin/aewm/aewm-([\d.]+)\.tar\.bz2
